### Method

# Gsk.Transform.to_translate

#### Declaration [src]

    void
    gsk_transform_to_translate (
      GskTransform* self,
      float* out_dx,
      float* out_dy
    )

#### Description [src]

Converts a `GskTransform` to a translation operation.

`self` must be a 2D transformation. If you are not sure, use `gsk_transform_get_category()` >= `GSK_TRANSFORM_CATEGORY_2D_TRANSLATE` to check.

#### Parameters

`out_dx` | `float*`
| return location for the translation in the x direction
| Direction: out
| Ownership of the data is transferred to the callee
`out_dy` | `float*`
| return location for the translation in the y direction
| Direction: out
| Ownership of the data is transferred to the callee